Switch session to another group User
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"groupId": 1,
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
},
"guid": "<string>"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch"
payload = {
"groupId": 1,
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
},
"guid": "<string>"
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({
groupId: 1,
targetUserId: 1,
authentication: {userId: 1, credential: 'changeme'},
guid: '<string>'
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'groupId' => 1,
'targetUserId' => 1,
'authentication' => [
'userId' => 1,
'credential' => 'changeme'
],
'guid' => '<string>'
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch"
payload := strings.NewReader("{\n \"groupId\": 1,\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n },\n \"guid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"groupId\": 1,\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n },\n \"guid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"groupId\": 1,\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n },\n \"guid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"lastStep": true,
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Switch session to another group User
The API switches the security context to another user in a group. This “other user” is identified by targetUserId in the request body. The authentication object contains information about the “authorizing user”. An “authorizing user” can be either the target user or an user with group admin privilege.
POST
/
session
/
switch
Switch session to another group User
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"groupId": 1,
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
},
"guid": "<string>"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch"
payload = {
"groupId": 1,
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
},
"guid": "<string>"
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({
groupId: 1,
targetUserId: 1,
authentication: {userId: 1, credential: 'changeme'},
guid: '<string>'
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'groupId' => 1,
'targetUserId' => 1,
'authentication' => [
'userId' => 1,
'credential' => 'changeme'
],
'guid' => '<string>'
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch"
payload := strings.NewReader("{\n \"groupId\": 1,\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n },\n \"guid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"groupId\": 1,\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n },\n \"guid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/session/switch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"groupId\": 1,\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n },\n \"guid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"lastStep": true,
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Authorizations
cookieAuthOIDC
Body
application/json
The switch user request contains the required information for a user to switch the security context to another user in a group. This "other user" is identified by targetUserId. The authentication object contains information about the "authorizing user". An "authorizing user" can be either the target user or an user with group admin privileges.

